
Pod::Spec.new do |s|
  s.name             = 'pass_mtx'
  s.version          = '0.0.1'
  s.summary          = 'Pass Micro Transaction Module.'
  s.description      = <<-DESC
  Pass Micro Transaction Module (pass_mtx) for PASS.MN
                       DESC
  s.homepage         = 'http://developer.pass.mn'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Databank' => 'pass@databank.mn' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '9.0'
  s.static_framework = true
  # s.ios.simulator.vendored_libraries = 'libs/simulator/libpass_mtx_ios.a'
  # s.ios.vendored_libraries = 'libs/simulator/libpass_mtx_ios.a'
  # s.ios.vendored_libraries = 'libs/libpass_mtx_ios.a'
  # s.vendored_libraries = 'libs/libpass_mtx_ios.a'

  s.vendored_frameworks = 'Frameworks/pass_mtx_ios.xcframework'
  # s.dependency = 'https://gitlab.databank.mn/Ankhbayar/pass_mtx_ios_framework.git'
  s.xcconfig = {"OTHER_FLAGS" => '-framework pass_mtx_ios'}


  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }

  s.dependency 'OpenSSL-Universal'
end
